Dashboard: speedtest
Status: Closed Start date: 01/19/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5   

Description

Inputs:

host

runs

Panels:

Recent ping

Recent download rate

Recent upload rate

Historical ping

RTT history

Average/Min/Max

Jitter

Line quality

Historical upload

Historical download

Associated revisions

Revision 22 - 01/24/2017 08:50 AM - lmurphey

Finalizing the initial version of the speedtest dashboard

Reference #1696

History

#1 - 01/20/2017 12:12 AM - Luke Murphey

- Description updated

#2 - 01/20/2017 08:48 AM - Luke Murphey

- % Done changed from 0 to 30

#3 - 01/20/2017 08:48 AM - Luke Murphey

- Target version set to 0.5

#4 - 01/20/2017 10:58 PM - Luke Murphey

Problems with the current design:

Its isn't obvious that the search running is actually the ping executing

The submit button sometimes runs the speedtest when the users didn't press submit

The historical charts don't update when the speedtest completes

It would be nice if the three stages (ping, upload, download performance) could happen serially so that the user gets input faster
#5 - 01/21/2017 05:41 AM - Luke Murphey

Might just want to have a modal for kicking the speedtest off. This widget could show that the speedtest is running.

#6 - 01/24/2017 06:08 AM - Luke Murphey

I have this working but with some caveats:

1. The base search is not working on the results page

2. I cannot get the parameters from the execute page to work with the search command because I cannot figure out a way to swap the search

effectively between the one that gets the most recent result and the one that gets the results from the speedtest search command

#7 - 01/24/2017 06:23 AM - Luke Murphey

Here is some information on the token model:

http://dev.splunk.com/view/webframework-developapps/SP-CAAAEQB

#8 - 01/24/2017 06:40 AM - Luke Murphey

I wonder if it would be better just to have a search parameter runs and server tokens in the search string. Then, I could just listen for the search call

and clear the runs and server parameters if the executed parameter indicates that the search has never run.

#9 - 01/24/2017 06:42 AM - Luke Murphey

I also want to kick the searches on the results page to reload.

#10 - 01/24/2017 09:01 AM - Luke Murphey

sourcetype="speedtest" | delta ping as jitter p=1 | eval jitter=abs(jitter) | stats max(ping) as max min(ping) as min avg(ping) as avg avg(jitter) as jitter |

transpose

#11 - 01/24/2017 11:19 PM - Luke Murphey

https://docs.splunk.com/Documentation/Splunk/6.5.1/ModuleRef/Splunk.util#replaceTokens.28.29

Might find an option in TokenUtils.replaceTokens() that could work.

#12 - 01/24/2017 11:41 PM - Luke Murphey

TokenUtils.replaceTokens() doesn't handle all of the token processing like I was hoping. It doesn't resolve the prefix and suffixes like I was hoping.

#13 - 01/25/2017 12:16 AM - Luke Murphey

Trying another technique.

In this case, I put all of the tokens in the search. Then, I have the JS set the tokens in order to get the search to run the initial time.

The only problem with this is that the search gets auto-submitted when the inputs change. I only want the search to run when the button is pressed. I

tried setting searchWhenChanged="false" but the tokens still get set which causes the search to execute. Clearing the tokens also doesn't stop the

search from executing.

#14 - 01/28/2017 07:27 AM - Luke Murphey

- % Done changed from 30 to 80
#15 - 02/02/2017 05:43 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 80 to 100
